//By HellsHero

%error = ForceRequiredAddOn("GameMode_Creeper");
if(%error == $Error::AddOn_Disabled)
{
   error("ERROR: Event_DamageCreep - required add-on GameMode_Creeper is disabled");
   return;
}
if(%error == $Error::AddOn_NotFound)
{
   error("ERROR: Event_DamageCreep - required add-on GameMode_Creeper not found");
   return;
}


function fxDTSBrick::CreepDamageRadius(%obj, %r, %d, %client)
{
	if(!isobject(CreepGroup) || !$Creep::active) return;
	if(%client.minigame != CreepGroup.owner.minigame) return;
	initContainerRadiusSearch(%obj.position, %r, $TypeMasks::FxBrickObjectType);
	while(%check = containerSearchNext())
	{
		if(CreepGroup.ismember(%check))
		{
			if(iseventpending(%check.regentick)) cancel(%check.regentick);
			%check.damage += %d;
			%damlimit = ((15 - (CreepGroup.getcount()/1000)));
			if(%damlimit < 0) %damlimit = 0;
			%damlimit = (%damlimit + 5) * ($Creep::scalehp ? CreepGroup.owner.minigame.playercount : 1) * $Creep::HPFactor;
			%damlimit += mfloor(%damlimit * (CreepGroup.owner.minigame.wave - 1) * 0.2);
			if(%check.damage >= %damlimit)
				%check.killbrick();
			else
			{
				SetCreepDmgColor(%check);
				if($Creep::regen) %check.regentick = schedule($Creep::regenms, 0, "BrickRegen", %check);
			}
		}
	}
}

registerOutputEvent("fxDTSBrick", "CreepDamageRadius", "float 0.5 100 0.5 10\tint 0 1000 5", 1);